Subject: RE: [External] : bug#58786: 29.0.50; Error with Info-minibuf-history not declared

From: Drew Adams <[email-masked]>
Date: Wed, 26 Oct 2022 18:40:44 +0000

> > My code includes just a vacuous defvar, to
> > declare the var but not initialize it to nil.
> >   (defvar Info-minibuf-history)
> 
> You should not have to do this, this defvar should be in info.el on top
> of file ideally.

Yes, it should be in info.el.

The commit you noted was based on code I provided.
That's why I mentioned that in my code I do include
a vacuous defvar, to declare the (special) variable.

> Initialized to nil or not I don't know, but it should
> be declared anyway.
> I personally initialize these history vars to nil in all my packages.
> 
> > That works, and in all Emacs versions, AFAIK.
> 
> AFAIK this variable is not used in previous emacs versions.

But my code (info+.el) uses it, and that library
works in all Emacs releases, starting with 23.